### Enumeration

# Gtk DialogFlags

since: 4.0

#### Declaration

    flags Gtk.DialogFlags

#### Description [src]

Flags used to influence dialog construction.

Available since: 4.0

#### Members

`GTK_DIALOG_MODAL`

  Make the constructed dialog modal.

  - Value: `1`
  - Nickname: `modal`
  - Available since: 4.0
`GTK_DIALOG_DESTROY_WITH_PARENT`

  Destroy the dialog when its parent is destroyed.

  - Value: `2`
  - Nickname: `destroy-with-parent`
  - Available since: 4.0
`GTK_DIALOG_USE_HEADER_BAR`

  Create dialog with actions in header bar instead of action area.

  - Value: `4`
  - Nickname: `use-header-bar`
  - Available since: 4.0